Core - Bug # 39237

Status: Resolved Priority: Must have

Author: Christian Kuhn Category: Extension Manager
Created: 2012-07-25 Assigned To:

Updated: 2012-07-25 Due date:

TYPO3 Version: 6.0

PHP Version: 53

Complexity: medium

Is Regression:

Sprint Focus:

Subject: Re-read extListArray in em at runtime

Description

The introduction package loads multiple extensions in one go through the em API enableExtension(). The refreshGlobalExtList()
method should reset the extListArray to new values written to LocalConfiguration to recognize if many extensions are loaded in one

request.

Related issues:
related to Core - Feature # 38562: Refactor localconf.php handling
related to Core - Bug # 39112: Fix 1-2-3(-4) wizards

Resolved 2012-07-02
Resolved 2012-07-20

Associated revisions

Revision 3b307bf7 - 2012-07-25 20:26 - Christian Kuhn

[BUGFIX] Re-read extListArray in em at runtime

The introduction package loads multiple extensions in one go through the
em API enableExtension(). The refreshGlobalExtList() method should reset
the extListArray to new values written to LocalConfiguration to

recognize if many extensions are loaded in one request.

Change-Id: leb4481e3d04a4407ba31f3c64f71c5fb5b03e344
Resolves: #39237

Related: #39112

Releases: 6.0

Reviewed-on: http://review.typo3.org/13038

Reviewed-by: Wouter Wolters
Reviewed-by: Georg Ringer
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

Revision a4280988 - 2012-07-28 16:00 - Christian Kuhn

[BUGFIX] Re-read extListArray in em at runtime

The introduction package loads multiple extensions in one go through the

em API enableExtension(). The refreshGlobalExtList() method should reset

the extListArray to new values written to LocalConfiguration to

recognize if many extensions are loaded in one request.
Change-Id: leb4481e3d04a4407ba31f3c64f71c5fb5b03e344
Related: #39112

Releases: 6.0

Reviewed-on: http://review.typo3.org/13038

Reviewed-by: Wouter Wolters
Reviewed-by: Georg Ringer
Reviewed-by: Helmut Hummel
Tested-by: Helmut Hummel

History

#1 - 2012-07-25 11:43 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.

It is available at http://review.typo3.org/13038

#2 - 2012-07-25 20:30 - Christian Kuhn
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:3b307bf79788¢c2543d2e67507c4c25b7d6f3b5fb.

2015-08-04

22


http://review.typo3.org/13038
http://review.typo3.org/13038

